Package org.apache.maven.scm.provider.accurev.command.checkout

## Class AccuRevCheckOutCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.provider.accurev.command.AbstractAccuRevCommand
    - - org.apache.maven.scm.provider.accurev.command.AbstractAccuRevExtractSourceCommand
      - - org.apache.maven.scm.provider.accurev.command.checkout.AccuRevCheckOutCommand

All Implemented Interfaces:
  `Command`

    public class AccuRevCheckOutCommand
    extends AbstractAccuRevExtractSourceCommand

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`AccuRevCheckOutCommand​(ScmLogger logger)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`CheckOutScmResult` `checkout​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected java.util.List<java.io.File>` `extractSource​(AccuRevScmProviderRepository repository, java.io.File basedir, AccuRevVersion version)`
`protected ScmResult` `getScmResult​(AccuRevScmProviderRepository repository, java.util.List<ScmFile> scmFiles, ScmVersion version)`
`static java.lang.String` `getWorkSpaceName​(java.io.File basedir, java.lang.String basisStream)`

### Methods inherited from class org.apache.maven.scm.provider.accurev.command.AbstractAccuRevExtractSourceCommand

`executeAccurevCommand`

### Methods inherited from class org.apache.maven.scm.provider.accurev.command.AbstractAccuRevCommand

`executeCommand, getScmFiles`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccuRevCheckOutCommand

    public AccuRevCheckOutCommand​(ScmLogger logger)

### Method Detail

#### checkout

    public CheckOutScmResult checkout​(ScmProviderRepository repository,
                                      ScmFileSet fileSet,
                                      CommandParameters parameters)
                               throws ScmException

Throws:
  `ScmException`

#### extractSource

    protected java.util.List<java.io.File> extractSource​(AccuRevScmProviderRepository repository,
                                                         java.io.File basedir,
                                                         AccuRevVersion version)
                                                  throws AccuRevException

Specified by:
  `extractSource` in class `AbstractAccuRevExtractSourceCommand`
Throws:
  `AccuRevException`

#### getScmResult

    protected ScmResult getScmResult​(AccuRevScmProviderRepository repository,
                                     java.util.List<ScmFile> scmFiles,
                                     ScmVersion version)

Specified by:
  `getScmResult` in class `AbstractAccuRevExtractSourceCommand`

#### getWorkSpaceName

    public static java.lang.String getWorkSpaceName​(java.io.File basedir,
                                                    java.lang.String basisStream)